{
  "name": "opetbootcamp-mern",
  "version": "1.0.0",
  "description": "Backend node + Express + Typescript + Swagger",
  "main": "index.js",
  "scripts": {
    "build": "npx tsc",
    "start:local": "node dist/index.js",
    "dev": "concurrently \"npx tsc --watch\" \"nodemon -q dist/index.js\"  ",
    "test": "jest" , 
    "serve:coverage": "npm run test && cd coverage/iconv-report && npx serve"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/camilo.farina/opetbootcamp-mern.git"
  },
  "keywords": [
    "node",
    "express",
    "typescript",
    "swagger",
    "mongoose"
  ],
  "author": "@CamiloFarina",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/camilo.farina/opetbootcamp-mern/issues"
  },
  "homepage": "https://gitlab.com/camilo.farina/opetbootcamp-mern#readme",
  "dependencies": {
    "dotenv": "^16.0.3",
    "express": "^4.18.2"
  },
  "devDependencies": {
    "@types/express": "^4.17.14",
    "@types/jest": "^29.2.4",
    "@types/node": "^18.11.10",
    "@typescript-eslint/eslint-plugin": "^5.46.1",
    "concurrently": "^7.6.0",
    "eslint": "^8.29.0",
    "eslint-config-standard-with-typescript": "^23.0.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-n": "^15.6.0",
    "eslint-plugin-promise": "^6.1.1",
    "jest": "^29.3.1",
    "nodemon": "^2.0.20",
    "serve": "^14.1.2",
    "supertest": "^6.3.3",
    "ts-jest": "^29.0.3",
    "ts-node": "^10.9.1",
    "typescript": "^4.9.4",
    "webpack": "^5.75.0",
    "webpack-cli": "^5.0.1",
    "webpack-node-externals": "^3.0.0",
    "webpack-shell-plugin": "^0.5.0"
  }
}
